com.genesyslab.wfm7.API.service.calendar750

## Class CalDateTimeOffBalanceInformation

- java.lang.Object
- - com.genesyslab.wfm7.API.service.calendar750.CalDateTimeOffBalanceInformation

- All Implemented Interfaces:
    java.io.Serializable

      public class CalDateTimeOffBalanceInformation
      extends java.lang.Object
      implements java.io.Serializable

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private java.lang.Object` | `__equalsCalc`
    `private boolean` | `__hashCodeCalc`
    `private int` | `agentID` Agent ID
    `private double` | `date` Date
    `private double` | `hours` Agent Time Off balance hours for date
    `private int` | `timeOffTypeID` Time Off type ID

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CalDateTimeOffBalanceInformation()`
    `CalDateTimeOffBalanceInformation(int agentID, int timeOffTypeID, double hours, double date)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)`
    `int` | `getAgentID()` Gets the agentID value for this CalDateTimeOffBalanceInformation.
    `double` | `getDate()` Gets the date value for this CalDateTimeOffBalanceInformation.
    `double` | `getHours()` Gets the hours value for this CalDateTimeOffBalanceInformation.
    `int` | `getTimeOffTypeID()` Gets the timeOffTypeID value for this CalDateTimeOffBalanceInformation.
    `int` | `hashCode()`
    `void` | `setAgentID(int agentID)` Sets the agentID value for this CalDateTimeOffBalanceInformation.
    `void` | `setDate(double date)` Sets the date value for this CalDateTimeOffBalanceInformation.
    `void` | `setHours(double hours)` Sets the hours value for this CalDateTimeOffBalanceInformation.
    `void` | `setTimeOffTypeID(int timeOffTypeID)` Sets the timeOffTypeID value for this CalDateTimeOffBalanceInformation.

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### agentID

          private int agentID

      Agent ID

    - #### timeOffTypeID

          private int timeOffTypeID

      Time Off type ID

    - #### hours

          private double hours

      Agent Time Off balance hours for date

    - #### date

          private double date

      Date

    - #### __equalsCalc

          private java.lang.Object __equalsCalc

    - #### __hashCodeCalc

          private boolean __hashCodeCalc

  - ### Constructor Detail

    - #### CalDateTimeOffBalanceInformation

          public CalDateTimeOffBalanceInformation()

    - #### CalDateTimeOffBalanceInformation

          public CalDateTimeOffBalanceInformation(int agentID,
                                          int timeOffTypeID,
                                          double hours,
                                          double date)

  - ### Method Detail

    - #### getAgentID

          public int getAgentID()

      Gets the agentID value for this CalDateTimeOffBalanceInformation.
      Returns:
        agentID Agent identifier

    - #### setAgentID

          public void setAgentID(int agentID)

      Sets the agentID value for this CalDateTimeOffBalanceInformation.
      Parameters:
        `agentID` - Agent identifier

    - #### getTimeOffTypeID

          public int getTimeOffTypeID()

      Gets the timeOffTypeID value for this CalDateTimeOffBalanceInformation.
      Returns:
        timeOffTypeID Time Off type identifier

    - #### setTimeOffTypeID

          public void setTimeOffTypeID(int timeOffTypeID)

      Sets the timeOffTypeID value for this CalDateTimeOffBalanceInformation.
      Parameters:
        `timeOffTypeID` - Time Off type identifier

    - #### getHours

          public double getHours()

      Gets the hours value for this CalDateTimeOffBalanceInformation.
      Returns:
        hours Balance value in hours

    - #### setHours

          public void setHours(double hours)

      Sets the hours value for this CalDateTimeOffBalanceInformation.
      Parameters:
        `hours` - Balance value in hours

    - #### getDate

          public double getDate()

      Gets the date value for this CalDateTimeOffBalanceInformation.
      Returns:
        date Date of the balance

    - #### setDate

          public void setDate(double date)

      Sets the date value for this CalDateTimeOffBalanceInformation.
      Parameters:
        `date` - Date of the balance

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.